Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/main/real_em.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/main/real_em.F	(revision 2020)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/main/real_em.F	(revision 2021)
@@ -1010,4 +1468,179 @@
                                                             ims , ime , jms , jme , kms , kme , &
                                                             ips , ipe , jps , jpe , kps , kpe )
+ENDIF
+
+!VENUS
+IF (config_flags%mars .eq. 34) THEN
+      CALL stuff_bdytend ( qbdy3dtemp2 , qbdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,2) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q2bdy3dtemp2 , q2bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,3) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q3bdy3dtemp2 , q3bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,4) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q4bdy3dtemp2 , q4bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,5) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q5bdy3dtemp2 , q5bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,6) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q6bdy3dtemp2 , q6bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,7) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q7bdy3dtemp2 , q7bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,8) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q8bdy3dtemp2 , q8bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,9) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q9bdy3dtemp2 , q9bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,10) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q10bdy3dtemp2 , q10bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,11) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q11bdy3dtemp2 , q11bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,12) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q12bdy3dtemp2 , q12bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,13) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q13bdy3dtemp2 , q13bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,14) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q14bdy3dtemp2 , q14bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,15) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q15bdy3dtemp2 , q15bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,16) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q16bdy3dtemp2 , q16bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,17) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q17bdy3dtemp2 , q17bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,18) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q18bdy3dtemp2 , q18bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,19) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q19bdy3dtemp2 , q19bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,20) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q20bdy3dtemp2 , q20bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,21) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q21bdy3dtemp2 , q21bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,22) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q22bdy3dtemp2 , q22bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,23) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q23bdy3dtemp2 , q23bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,24) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q24bdy3dtemp2 , q24bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,25) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q25bdy3dtemp2 , q25bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,26) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q26bdy3dtemp2 , q26bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,27) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q27bdy3dtemp2 , q27bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,28) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q28bdy3dtemp2 , q28bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,29) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q29bdy3dtemp2 , q29bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,30) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q30bdy3dtemp2 , q30bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,31) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q31bdy3dtemp2 , q31bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,32) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q32bdy3dtemp2 , q32bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,33) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q33bdy3dtemp2 , q33bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,34) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+      CALL stuff_bdytend ( q34bdy3dtemp2 , q34bdy3dtemp1 , REAL(interval_seconds) , grid%scalar_bt(:,:,:,:,35) , 'T' , &
+                                                            ijds , ijde , spec_bdy_width      , &
+                                                            ids , ide , jds , jde , kds , kde , &
+                                                            ims , ime , jms , jme , kms , kme , &
+                                                            ips , ipe , jps , jpe , kps , kpe )
+
 ENDIF
 !!!!!MARS <<
@@ -1101,4 +1734,33 @@
                   q5bdy3dtemp1(i,k,j) = q5bdy3dtemp2(i,k,j)
                   q6bdy3dtemp1(i,k,j) = q6bdy3dtemp2(i,k,j)
+                  q7bdy3dtemp1(i,k,j) = q7bdy3dtemp2(i,k,j)
+                  q8bdy3dtemp1(i,k,j) = q8bdy3dtemp2(i,k,j)
+                  q9bdy3dtemp1(i,k,j) = q9bdy3dtemp2(i,k,j)
+                  q10bdy3dtemp1(i,k,j) = q10bdy3dtemp2(i,k,j)
+                  q11bdy3dtemp1(i,k,j) = q11bdy3dtemp2(i,k,j)
+                  q12bdy3dtemp1(i,k,j) = q12bdy3dtemp2(i,k,j)
+                  q13bdy3dtemp1(i,k,j) = q13bdy3dtemp2(i,k,j)
+                  q14bdy3dtemp1(i,k,j) = q14bdy3dtemp2(i,k,j)
+                  q15bdy3dtemp1(i,k,j) = q15bdy3dtemp2(i,k,j)
+                  q16bdy3dtemp1(i,k,j) = q16bdy3dtemp2(i,k,j)
+                  q17bdy3dtemp1(i,k,j) = q17bdy3dtemp2(i,k,j)
+                  q18bdy3dtemp1(i,k,j) = q18bdy3dtemp2(i,k,j)
+                  q19bdy3dtemp1(i,k,j) = q19bdy3dtemp2(i,k,j)
+                  q20bdy3dtemp1(i,k,j) = q20bdy3dtemp2(i,k,j)
+                  q21bdy3dtemp1(i,k,j) = q21bdy3dtemp2(i,k,j)
+                  q22bdy3dtemp1(i,k,j) = q22bdy3dtemp2(i,k,j)
+                  q23bdy3dtemp1(i,k,j) = q23bdy3dtemp2(i,k,j)
+                  q24bdy3dtemp1(i,k,j) = q24bdy3dtemp2(i,k,j)
+                  q25bdy3dtemp1(i,k,j) = q25bdy3dtemp2(i,k,j)
+                  q26bdy3dtemp1(i,k,j) = q26bdy3dtemp2(i,k,j)
+                  q27bdy3dtemp1(i,k,j) = q27bdy3dtemp2(i,k,j)
+                  q28bdy3dtemp1(i,k,j) = q28bdy3dtemp2(i,k,j)
+                  q29bdy3dtemp1(i,k,j) = q29bdy3dtemp2(i,k,j)
+                  q30bdy3dtemp1(i,k,j) = q30bdy3dtemp2(i,k,j)
+                  q31bdy3dtemp1(i,k,j) = q31bdy3dtemp2(i,k,j)
+                  q32bdy3dtemp1(i,k,j) = q32bdy3dtemp2(i,k,j)
+                  q33bdy3dtemp1(i,k,j) = q33bdy3dtemp2(i,k,j)
+                  q34bdy3dtemp1(i,k,j) = q34bdy3dtemp2(i,k,j)                  
+                  q35bdy3dtemp1(i,k,j) = q35bdy3dtemp2(i,k,j)
 !!!!MARS <<
                END DO
